---
title: Validate Billing Address
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Billing](https://developers.cloudflare.com/api/python/resources/billing)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Validate Billing Address

billing.address\_validation(BillingAddressValidationParams\*\*kwargs) -> [BillingAddressValidationResponse](<https://developers.cloudflare.com/api/python/resources/billing#(resource)%20billing%20%3E%20(model)%20billing_address_validation_response%20%3E%20(schema)>)

POST/billing/address-validation

Validates a billing address and returns validated address suggestions. Authentication is not enforced to support pre-signup address validation flows, so credentials are accepted but not required.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### ParametersExpand Collapse

address: Optional\[str]

Address line 1.

[Link to this property](<#(resource)%20billing%20%3E%20(method)%20address_validation%20%3E%20(params)%20default%20%3E%20(param)%20address%20%3E%20(schema)>)

address2: Optional\[str]

Address line 2.

[Link to this property](<#(resource)%20billing%20%3E%20(method)%20address_validation%20%3E%20(params)%20default%20%3E%20(param)%20address2%20%3E%20(schema)>)

city: Optional\[str]

City.

[Link to this property](<#(resource)%20billing%20%3E%20(method)%20address_validation%20%3E%20(params)%20default%20%3E%20(param)%20city%20%3E%20(schema)>)

country: Optional\[str]

Country code.

[Link to this property](<#(resource)%20billing%20%3E%20(method)%20address_validation%20%3E%20(params)%20default%20%3E%20(param)%20country%20%3E%20(schema)>)

state: Optional\[str]

State or province.

[Link to this property](<#(resource)%20billing%20%3E%20(method)%20address_validation%20%3E%20(params)%20default%20%3E%20(param)%20state%20%3E%20(schema)>)

zipcode: Optional\[str]

Postal or zip code.

[Link to this property](<#(resource)%20billing%20%3E%20(method)%20address_validation%20%3E%20(params)%20default%20%3E%20(param)%20zipcode%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class BillingAddressValidationResponse: …

</summary>

<details>

<summary>

validated\_addresses: Optional\[List\[ValidatedAddress]]

List of validated address suggestions.

</summary>

address: Optional\[str]

Validated address line 1.

<a href="#(resource)%20billing%20%3E%20(model)%20billing_address_validation_response%20%3E%20(schema)%20%3E%20(property)%20validated_addresses%20%3E%20(items)%20%3E%20(property)%20address">Link to this property</a>

address2: Optional\[str]

Validated address line 2.

<a href="#(resource)%20billing%20%3E%20(model)%20billing_address_validation_response%20%3E%20(schema)%20%3E%20(property)%20validated_addresses%20%3E%20(items)%20%3E%20(property)%20address2">Link to this property</a>

city: Optional\[str]

Validated city.

<a href="#(resource)%20billing%20%3E%20(model)%20billing_address_validation_response%20%3E%20(schema)%20%3E%20(property)%20validated_addresses%20%3E%20(items)%20%3E%20(property)%20city">Link to this property</a>

country: Optional\[str]

Validated country code.

<a href="#(resource)%20billing%20%3E%20(model)%20billing_address_validation_response%20%3E%20(schema)%20%3E%20(property)%20validated_addresses%20%3E%20(items)%20%3E%20(property)%20country">Link to this property</a>

state: Optional\[str]

Validated state or province.

<a href="#(resource)%20billing%20%3E%20(model)%20billing_address_validation_response%20%3E%20(schema)%20%3E%20(property)%20validated_addresses%20%3E%20(items)%20%3E%20(property)%20state">Link to this property</a>

validation\_code: Optional\[str]

The validation result code.

<a href="#(resource)%20billing%20%3E%20(model)%20billing_address_validation_response%20%3E%20(schema)%20%3E%20(property)%20validated_addresses%20%3E%20(items)%20%3E%20(property)%20validation_code">Link to this property</a>

zipcode: Optional\[str]

Validated postal or zip code.

<a href="#(resource)%20billing%20%3E%20(model)%20billing_address_validation_response%20%3E%20(schema)%20%3E%20(property)%20validated_addresses%20%3E%20(items)%20%3E%20(property)%20zipcode">Link to this property</a>

</details>

<a href="#(resource)%20billing%20%3E%20(model)%20billing_address_validation_response%20%3E%20(schema)%20%3E%20(property)%20validated_addresses">Link to this property</a>

</details>

[Link to this property](<#(resource)%20billing%20%3E%20(model)%20billing_address_validation_response%20%3E%20(schema)>)

### Validate Billing Address

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.billing.address_validation()
print(response.validated_addresses)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "validated_addresses": [
      {
        "address": "address",
        "address2": "address2",
        "city": "city",
        "country": "country",
        "state": "state",
        "validation_code": "validation_code",
        "zipcode": "zipcode"
      }
    ]
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "validated_addresses": [
      {
        "address": "address",
        "address2": "address2",
        "city": "city",
        "country": "country",
        "state": "state",
        "validation_code": "validation_code",
        "zipcode": "zipcode"
      }
    ]
  },
  "success": true
}
```